Page MenuHomePhabricator

quibble-vendor-mysql-php73-docker fails on experimental run with filesystem error
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php73-docker/788/console

docker: filesystem layer verification failed for digest sha256:769123a16e79cf3be7d995570273a3765a87370b50fe3ff9440e4a9f3e4fcbb9.
See 'docker run --help'.
Build step 'Execute shell' marked build as failure

Please have a look at the job quibble-vendor-mysql-php73-docker - it seems not a extension issue here. Thanks.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2019, 8:21 PM
hashar added a comment.Apr 8 2019, 9:18 AM

Indeed the image docker-registry.wikimedia.org/releng/quibble-stretch-php73:0.0.31-1 has not been downloaded on any of the CI slaves and I have the same issue when pulling it locally. Its latest changelog is:

debian/changelog
quibble-stretch-php73 (0.0.31-1) wikimedia; urgency=medium

  * Actually get 0.0.31 installed, the list of tags from Gerrit did not show
    it -- T219786

 -- Antoine Musso <hashar@free.fr>  Mon, 01 Apr 2019 22:12:23 +0200

It is available on the build host contint1001.wikimedia.org:

$ docker images|grep stretch-php73
docker-registry.discovery.wmnet/releng/quibble-stretch-php73       0.0.31-1            53fcde78055a        6 days ago          945MB
docker-registry.discovery.wmnet/releng/quibble-stretch-php73       latest              53fcde78055a        6 days ago          945MB

Which would also mean the job has been broken for a week. That has been left unnoticed since it is solely in the experimental pipeline.

There is no such digest on the build host:

contint1001:~$ sudo docker image ls --all --no-trunc|grep 769123a16e79cf3be7d995570273a3765a87370b50fe3ff9440e4a9f3e4fcbb9
contint1001:~$

I tried to push both tags again:

# docker-pusher docker-registry.discovery.wmnet/releng/quibble-stretch-php73:0.0.31-1
The push refers to repository [docker-registry.discovery.wmnet/releng/quibble-stretch-php73]
918f858f8fd1: Layer already exists 
555e61f0eb9b: Layer already exists 
e6c988d2ea8e: Layer already exists 
89eec6840530: Layer already exists 
54af2af7ac79: Layer already exists 
f5093e5b6399: Layer already exists 
941d3b0c6639: Layer already exists 
14c1f989824d: Layer already exists 
c5c1c55c5a66: Layer already exists 
931cd72be34e: Layer already exists 
61a66a4d342f: Layer already exists 
8456768e4ac3: Layer already exists 
3451f3e044b9: Layer already exists 
ca858fad353c: Layer already exists 
9cfe5ec11ee2: Layer already exists 
0.0.31-1: digest: sha256:dca8e93b264b793001aa959d74b81ee48fb0ee89d4e8da0e6415923949e39522 size: 19243
# docker-pusher docker-registry.discovery.wmnet/releng/quibble-stretch-php73:latest
The push refers to repository [docker-registry.discovery.wmnet/releng/quibble-stretch-php73]
918f858f8fd1: Layer already exists 
555e61f0eb9b: Layer already exists 
e6c988d2ea8e: Layer already exists 
89eec6840530: Layer already exists 
54af2af7ac79: Layer already exists 
f5093e5b6399: Layer already exists 
941d3b0c6639: Layer already exists 
14c1f989824d: Layer already exists 
c5c1c55c5a66: Layer already exists 
931cd72be34e: Layer already exists 
61a66a4d342f: Layer already exists 
8456768e4ac3: Layer already exists 
3451f3e044b9: Layer already exists 
ca858fad353c: Layer already exists 
9cfe5ec11ee2: Layer already exists 
latest: digest: sha256:d99c233f9f19015578d8742ab98a632fc21c2d4c05d7d72becf060be5e560ad0 size: 19241

And the faulty layer can be seen in the registry at both:

Will rebuild it.

Change 502181 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: rebuild faulty releng/quibble-stretch-php73:0.0.31-1

https://gerrit.wikimedia.org/r/502181

Change 502181 merged by jenkins-bot:
[integration/config@master] docker: rebuild faulty releng/quibble-stretch-php73:0.0.31-1

https://gerrit.wikimedia.org/r/502181

Mentioned in SAL (#wikimedia-releng) [2019-04-08T10:15:37Z] <hashar> Building Docker image releng/quibble-stretch-php73:0.0.31-2 # T220237

Change 502188 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update jjb jobs for releng/quibble-stretch-php73

https://gerrit.wikimedia.org/r/502188

hashar closed this task as Resolved.Apr 8 2019, 10:27 AM
hashar claimed this task.

I have just rebuild the image. Should be good now :]

Change 502188 merged by jenkins-bot:
[integration/config@master] Update jjb jobs for releng/quibble-stretch-php73

https://gerrit.wikimedia.org/r/502188